List all send instructions
curl --request GET \
--url https://staging-api.chip-in.asia/api/send/send_instructions \
--header 'Authorization: Bearer <token>' \
--header 'checksum: <checksum>' \
--header 'epoch: <epoch>'import requests
url = "https://staging-api.chip-in.asia/api/send/send_instructions"
headers = {
"epoch": "<epoch>",
"checksum": "<checksum>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {epoch: '<epoch>', checksum: '<checksum>', Authorization: 'Bearer <token>'}
};
fetch('https://staging-api.chip-in.asia/api/send/send_instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": 49,
"bank_account_id": 39,
"amount": "100.00",
"state": "received",
"email": "finance@example.com",
"description": "Vendor payout for invoice INV-2024-0892",
"reference": "INV-2024-0892",
"send_recipient_receipt": true,
"created_at": "2023-03-20T02:04:40.692Z",
"updated_at": "2023-03-20T02:04:40.692Z"
},
{
"id": 48,
"bank_account_id": 39,
"amount": "100.00",
"state": "received",
"email": "payroll@example.com",
"description": "Salary disbursement - employee batch 12",
"reference": "PAYROLL-2024-03-12",
"send_recipient_receipt": false,
"created_at": "2023-03-20T02:04:37.218Z",
"updated_at": "2023-03-20T02:04:37.218Z"
},
{
"id": 45,
"bank_account_id": 39,
"amount": "100.00",
"state": "received",
"email": "supplier@example.com",
"description": "Supplier invoice settlement",
"reference": "SUP-INV-04521",
"send_recipient_receipt": true,
"created_at": "2023-03-17T08:08:09.283Z",
"updated_at": "2023-03-17T08:08:09.283Z"
},
{
"id": 44,
"bank_account_id": 39,
"amount": "100.00",
"state": "received",
"email": "refund@example.com",
"description": "Customer refund - order",
"reference": "REFUND-88421",
"send_recipient_receipt": false,
"created_at": "2023-03-17T08:07:50.038Z",
"updated_at": "2023-03-17T08:07:50.038Z"
}
],
"meta": {
"pagination": {
"current_page": 1,
"prev_page": null,
"next_page": null,
"total_pages": 1,
"total_count": 4
}
}
}{
"message": "Bad request",
"code": 400,
"data": {}
}{
"message": "Unauthorized",
"code": 401,
"data": {}
}{
"message": "You are not authorized to perform this action",
"code": 403,
"data": {}
}{
"message": "Record not found",
"code": 404,
"data": {}
}Send Instructions
List all send instructions
Returns a list of previously created send instructions.
Note: This request is cached and will only refresh every hour.
GET
/
send
/
send_instructions
List all send instructions
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Unix epoch timestamp Unix timestamp (seconds).
Example:
1619740800
Refer to checksum calculation
⌘I